<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:c="http://java.sun.com/jsp/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns="http://www.w3.org/1999/xhtml">
    <h:panelGroup rendered="#{instructionManager.displayTlsTests}">
        <div role="tabpanel" class="tab-pane" id="tlsTab">

            <h:form id="tlsTestsForm">
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>

                <ui:include src="#{instructionFile}">
                    <ui:param name="instructionToDisplay" value="#{managedBean.tlsTestsInstructions}"/>
                </ui:include>

                <p>
                    <ui:insert name="extraTlsButtons"/>
                </p>

                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="form-horizontal">
                        <div class="row">
                            <div class="col-md-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.tlsTestFilter}"/>
                                    <ui:param name="filterId" value="side"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.TestedSide']}"/>
                                    <ui:param name="filterForm" value="tlsTestsForm"/>
                                </ui:include>
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.tlsTestFilter}"/>
                                    <ui:param name="filterId" value="connectionType"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.ConnectionType']}"/>
                                    <ui:param name="filterForm" value="tlsTestsForm"/>
                                </ui:include>
                            </div>
                            <div class="col-md-6">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{managedBean.tlsTestFilter}"/>
                                    <ui:param name="filterId" value="tlsstatus"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.questionnaire.Status']}"/>
                                    <ui:param name="filterForm" value="tlsTestsForm"/>
                                </ui:include>
                            </div>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{managedBean.clearTlsTestFilter()}" render="tlsTestsForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>

                <ui:include src="#{tlsTestsPage}">
                    <ui:param name="tlsTests" value="#{managedBean.tlsTests}"/>
                </ui:include>

                <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.SaveTLSTests']}" action="#{managedBean.saveTlsTests()}"
                                   rendered="#{displaySaveButton}" styleClass="gzl-btn-blue"
                                   render="tlsTestsForm,questDetails,gazelle-messages"/>

            </h:form>

        </div>
    </h:panelGroup>
</ui:composition>
